I am trying to normalize volume of flash9 on linux.
Look at my ~/.asoundrc below.


since I replaced pcm.pcompress with pcm.!default, all applicaitons, including
firefox, which has flash9 will go through dysonCompressor ladspa plugin.
But I want only firefox/flash9 to use dysonCompressor.

In other words, I will comment out pcm.!default and comment in pcm.pcompress.
Then, I want to make sure only flash9 will use that slave.

Is it possible? I don't want to use libflashsupport + aoss.
Can alsa be configured so that specific application will use specific slave?
There is
~/.macromedia/Flash_Player/macromedia.com/support/flashplayer/sys/settings.sol
But it's binary.

Thank you.
[hr]

pcm.compress {
type ladspa
slave.pcm "plughw:0,0";
path "/usr/lib/ladspa";
plugins [
{
label dysonCompress
output {
controls [ 0.0 0.1 1.0 1.0 ]
}
}
]
}

pcm.!default {
#pcm.pcompress {
type plug
slave.pcm "compress";
}